Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class MessageExecuting

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--com.declarativa.interprolog.util.MessageExecuting

All Implemented Interfaces:
  Runnable

public class MessageExecuting
extends Thread

Object to help coordinate a javaMessage execution in the Java side. Current policy spawns a thread for each javaMessage, should probably be more economic

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`MessageExecuting(MessageFromProlog m, PrologEngine engine)`

Method Summary
`ResultFromJava` | `getResult()`
`int` | `getTimestamp()`
`boolean` | `hasEnded()`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageExecuting

    public MessageExecuting(MessageFromProlog m,
                            PrologEngine engine)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### hasEnded

    public boolean hasEnded()

### getResult

    public ResultFromJava getResult()

### getTimestamp

    public int getTimestamp()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD